curl --request POST \
--url https://api.1club.ai/v1/platform/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 1,
"description": "<string>",
"costPrice": 1,
"clubId": 123,
"categoryId": 123,
"brandId": 123,
"sku": "<string>",
"barcode": "<string>",
"isActive": true,
"visibility": "Public",
"taxRateId": 123,
"revenueAccountId": 123,
"images": [
"<string>"
],
"features": [
"<string>"
]
}
'import requests
url = "https://api.1club.ai/v1/platform/products"
payload = {
"name": "<string>",
"price": 1,
"description": "<string>",
"costPrice": 1,
"clubId": 123,
"categoryId": 123,
"brandId": 123,
"sku": "<string>",
"barcode": "<string>",
"isActive": True,
"visibility": "Public",
"taxRateId": 123,
"revenueAccountId": 123,
"images": ["<string>"],
"features": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
price: 1,
description: '<string>',
costPrice: 1,
clubId: 123,
categoryId: 123,
brandId: 123,
sku: '<string>',
barcode: '<string>',
isActive: true,
visibility: 'Public',
taxRateId: 123,
revenueAccountId: 123,
images: ['<string>'],
features: ['<string>']
})
};
fetch('https://api.1club.ai/v1/platform/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'price' => 1,
'description' => '<string>',
'costPrice' => 1,
'clubId' => 123,
'categoryId' => 123,
'brandId' => 123,
'sku' => '<string>',
'barcode' => '<string>',
'isActive' => true,
'visibility' => 'Public',
'taxRateId' => 123,
'revenueAccountId' => 123,
'images' => [
'<string>'
],
'features' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/products"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"price\": 1,\n \"description\": \"<string>\",\n \"costPrice\": 1,\n \"clubId\": 123,\n \"categoryId\": 123,\n \"brandId\": 123,\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"isActive\": true,\n \"visibility\": \"Public\",\n \"taxRateId\": 123,\n \"revenueAccountId\": 123,\n \"images\": [\n \"<string>\"\n ],\n \"features\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.1club.ai/v1/platform/products")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"price\": 1,\n \"description\": \"<string>\",\n \"costPrice\": 1,\n \"clubId\": 123,\n \"categoryId\": 123,\n \"brandId\": 123,\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"isActive\": true,\n \"visibility\": \"Public\",\n \"taxRateId\": 123,\n \"revenueAccountId\": 123,\n \"images\": [\n \"<string>\"\n ],\n \"features\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"price\": 1,\n \"description\": \"<string>\",\n \"costPrice\": 1,\n \"clubId\": 123,\n \"categoryId\": 123,\n \"brandId\": 123,\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"isActive\": true,\n \"visibility\": \"Public\",\n \"taxRateId\": 123,\n \"revenueAccountId\": 123,\n \"images\": [\n \"<string>\"\n ],\n \"features\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"productId": 123,
"name": "<string>",
"description": "<string>",
"clubId": 123,
"categoryId": 123,
"brandId": 123,
"sku": "<string>",
"barcode": "<string>",
"price": 123,
"costPrice": 123,
"isActive": true,
"visibility": "Public",
"images": [
"<string>"
],
"features": [
"<string>"
],
"taxRateId": 123,
"revenueAccountId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Create a product
Adds a product to the catalogue. name and price are all that is required; everything else refines how it behaves at the till and on customer-facing surfaces.
clubId, categoryId, brandId, taxRateId and revenueAccountId must reference rows in this organization - a 400 names the first one that does not. A barcode or sku already claimed by another product, package, plan or access card is a 409: both are scannable at the till, so a scanned code has to mean exactly one thing.
Creating a product does not give it stock - putting units on the shelf is done in the admin portal. Supports the Idempotency-Key header.
curl --request POST \
--url https://api.1club.ai/v1/platform/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 1,
"description": "<string>",
"costPrice": 1,
"clubId": 123,
"categoryId": 123,
"brandId": 123,
"sku": "<string>",
"barcode": "<string>",
"isActive": true,
"visibility": "Public",
"taxRateId": 123,
"revenueAccountId": 123,
"images": [
"<string>"
],
"features": [
"<string>"
]
}
'import requests
url = "https://api.1club.ai/v1/platform/products"
payload = {
"name": "<string>",
"price": 1,
"description": "<string>",
"costPrice": 1,
"clubId": 123,
"categoryId": 123,
"brandId": 123,
"sku": "<string>",
"barcode": "<string>",
"isActive": True,
"visibility": "Public",
"taxRateId": 123,
"revenueAccountId": 123,
"images": ["<string>"],
"features": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
price: 1,
description: '<string>',
costPrice: 1,
clubId: 123,
categoryId: 123,
brandId: 123,
sku: '<string>',
barcode: '<string>',
isActive: true,
visibility: 'Public',
taxRateId: 123,
revenueAccountId: 123,
images: ['<string>'],
features: ['<string>']
})
};
fetch('https://api.1club.ai/v1/platform/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'price' => 1,
'description' => '<string>',
'costPrice' => 1,
'clubId' => 123,
'categoryId' => 123,
'brandId' => 123,
'sku' => '<string>',
'barcode' => '<string>',
'isActive' => true,
'visibility' => 'Public',
'taxRateId' => 123,
'revenueAccountId' => 123,
'images' => [
'<string>'
],
'features' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/products"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"price\": 1,\n \"description\": \"<string>\",\n \"costPrice\": 1,\n \"clubId\": 123,\n \"categoryId\": 123,\n \"brandId\": 123,\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"isActive\": true,\n \"visibility\": \"Public\",\n \"taxRateId\": 123,\n \"revenueAccountId\": 123,\n \"images\": [\n \"<string>\"\n ],\n \"features\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.1club.ai/v1/platform/products")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"price\": 1,\n \"description\": \"<string>\",\n \"costPrice\": 1,\n \"clubId\": 123,\n \"categoryId\": 123,\n \"brandId\": 123,\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"isActive\": true,\n \"visibility\": \"Public\",\n \"taxRateId\": 123,\n \"revenueAccountId\": 123,\n \"images\": [\n \"<string>\"\n ],\n \"features\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"price\": 1,\n \"description\": \"<string>\",\n \"costPrice\": 1,\n \"clubId\": 123,\n \"categoryId\": 123,\n \"brandId\": 123,\n \"sku\": \"<string>\",\n \"barcode\": \"<string>\",\n \"isActive\": true,\n \"visibility\": \"Public\",\n \"taxRateId\": 123,\n \"revenueAccountId\": 123,\n \"images\": [\n \"<string>\"\n ],\n \"features\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"productId": 123,
"name": "<string>",
"description": "<string>",
"clubId": 123,
"categoryId": 123,
"brandId": 123,
"sku": "<string>",
"barcode": "<string>",
"price": 123,
"costPrice": 123,
"isActive": true,
"visibility": "Public",
"images": [
"<string>"
],
"features": [
"<string>"
],
"taxRateId": 123,
"revenueAccountId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Authorizations
Headers
Body
Fields accepted when creating a product. Only name and price are required; the defaults shown are what an omitted field becomes.
Response
Product created
A product the organization sells over the counter.
Was this page helpful?